summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 20:02:08 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:02:08 +0200
commitf6bfc6421fad3610efaab545abc419e16d5ba993 (patch)
tree92f90ca13cce110ddcf13bf98302baa1016c9444
parent6b606c42a37065bf50d13cdb44d070e11df8de81 (diff)
downloadslackbuilds-f6bfc6421fad3610efaab545abc419e16d5ba993.tar.gz
slackbuilds-f6bfc6421fad3610efaab545abc419e16d5ba993.tar.xz
system/squeeze: Added to 12.0 repository
-rw-r--r--system/squeeze/README4
-rw-r--r--system/squeeze/doinst.sh3
-rw-r--r--system/squeeze/slack-desc19
-rw-r--r--system/squeeze/squeeze.SlackBuild86
-rw-r--r--system/squeeze/squeeze.info8
5 files changed, 120 insertions, 0 deletions
diff --git a/system/squeeze/README b/system/squeeze/README
new file mode 100644
index 0000000000..2478e4de72
--- /dev/null
+++ b/system/squeeze/README
@@ -0,0 +1,4 @@
+Squeeze is a modern and advanced archive manager for the
+Xfce Desktop Environment. Its design adheres to the Xfce
+philosophy, which basically means Squeeze is designed to
+be both fast and easy to use.
diff --git a/system/squeeze/doinst.sh b/system/squeeze/doinst.sh
new file mode 100644
index 0000000000..5dc6bb58c0
--- /dev/null
+++ b/system/squeeze/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/system/squeeze/slack-desc b/system/squeeze/slack-desc
new file mode 100644
index 0000000000..5593ec14bd
--- /dev/null
+++ b/system/squeeze/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+squeeze: Squeeze (Xfce Archive Manager)
+squeeze:
+squeeze: Squeeze is a modern and advanced archive manager for the
+squeeze: Xfce Desktop Environment. Its design adheres to the Xfce
+squeeze: philosophy, which basically means Squeeze is designed to
+squeeze: be both fast and easy to use.
+squeeze:
+squeeze: Homepage: http://squeeze.xfce.org/
+squeeze:
+squeeze:
+squeeze:
diff --git a/system/squeeze/squeeze.SlackBuild b/system/squeeze/squeeze.SlackBuild
new file mode 100644
index 0000000000..9ec07f4d72
--- /dev/null
+++ b/system/squeeze/squeeze.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for Squeeze
+
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=squeeze
+VERSION=0.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-shared=yes \
+ --enable-static=no \
+ --disable-debug \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+# Create link to html docs:
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -sf ../../share/gtk-doc/html/libsqueeze html )
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/squeeze/squeeze.info b/system/squeeze/squeeze.info
new file mode 100644
index 0000000000..8427de9baa
--- /dev/null
+++ b/system/squeeze/squeeze.info
@@ -0,0 +1,8 @@
+PRGNAM="squeeze"
+VERSION="0.2.3"
+HOMEPAGE="http://squeeze.xfce.org/"
+DOWNLOAD="http://squeeze.xfce.org/downloads/squeeze-0.2.3.tar.bz2"
+MD5SUM="bd3cb0648b49be1f146fc4f675606176"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"